文件

Sass 是一種樣式表語言,編譯為 CSS。它允許您使用 變數巢狀規則混合函式 等,所有這些都具有完全相容於 CSS 的語法。Sass 協助保持大型樣式表的良好組織,並讓您輕鬆地在專案內和專案間分享設計。

  • 如果您正在尋找 Sass 簡介,請查看 教學課程

  • 如果您想查詢內建 Sass 函式,請直接查看 內建模組參考

  • 如果您從 JavaScript 呼叫 Sass,您可能需要 JS API 文件

  • 或者 Dart API 文件,如果您從  Dart 呼叫它。

  • 否則,請使用語言參考的目錄!

較舊版本較舊版本永久連結

此文件是針對最新版本的 Sass 語言撰寫。如果您使用 Dart Sass 1.72.0,您將可以使用這裡描述的所有功能。但是,如果您使用的是較舊版本的 Dart Sass 或已棄用的 Sass 實作,例如 LibSassRuby Sass,可能會有一些行為上的 差異。

任何行為在不同版本或實作間有所差異時,文件會包含相容性指標,例如 此處

相容性(功能名稱)
Dart Sass
LibSass
自 3.6.0 起
Ruby Sass

帶有「✓」的實作完全支援有問題的功能,而帶有「✗」的實作則完全不支援。版本號開頭的實作在該版本中開始支援有問題的功能。實作也可以標記為 「部分」

相容性
Dart Sass
LibSass
部分
Ruby Sass

其他詳細資訊在此處 顯示。

這表示實作只支援功能的某些面向。這些相容性指標(以及許多其他指標)有一個「➤」按鈕,可以按一下以顯示更多詳細資訊,說明實作如何確切地有所不同,以及哪些版本支援有問題功能的哪些面向